Articles of затмение

Eclipse Juno ADT плагин NDK путь удален?

Я не могу найти способ установить путь NDK в Eclipse Juno с помощью плагина ADT. (Я скачал вчера ADT Bundle с сайта Android). Все говорят, что я должен найти его под Windows -> Настройки -> Android -> NDK, но опция NDK под Android просто не существует. Может быть, они изменили свое местоположение в последней версии? […]

Недопустимое описание проекта при импорте проекта в Eclipse

Я знаю, что этот вопрос уже размещен здесь , но это не решает мою проблему. Я вытаскиваю проект из ветки github, и когда я пытаюсь его импортировать: File->Import->General->Existing projects into workspace затем Select root directory и здесь, когда я нажимаю кнопку « Finish , я получаю Invalid project description . Я вытаскиваю проект в папку […]

Отредактируйте AndroidManifest при компиляции для удаления API-ключа

В настоящее время я работаю над проектом Android и изучаю, как использовать git. Я заблокирован из-за проблемы с git: у меня есть ключ api для Google Maps, указанный в моем файле манифеста-манифеста: <meta-data android:name="com.google.android.maps.v2.API_KEY" android:value="HEREISMYKEY"/> Теперь я хотел бы нажать мой код в github, но я не могу нажать мой AndroidManifest, потому что он содержит […]

Изменить размер шрифта в ListView – Android / Eclipse

Как изменить размер шрифта в элементе ListView? В моем файле main.xml я попытался использовать несколько разных значений для android: textSize (pt, px, sp, dp), и ничто не изменило его. Вот что у меня есть в моем main.xml: <ListView xmlns:android="http://schemas.android.com/apk/res/android" android:id="@android:id/list" android:textColor="#ffffff" android:background="#000080" android:layout_width="fill_parent" android:layout_height="wrap_content" android:clickable="true" android:dividerHeight="1px" android:layout_marginTop="5px" android:textSize="8px"/> Вот моя Java: package com.SorenWinslow.TriumphHistory; import android.app.ListActivity; […]

Невозможно разрешить целевое «андроид-19»

Я хочу работать с Android API 19. Я изменил файл project.properties target = android-19 . В AndroidManifest.xml. У меня есть это : <uses-sdk android:minSdkVersion="10" android:targetSdkVersion="19" /> Но в свойствах проекта у меня есть следующее: Как я могу изменить уровень API до 19, чтобы избавиться от ошибки в заголовке. Благодарю.

Используя Eclipse для androidSDK, когда я иду, я запускаю раздел WARNING: Data, который уже используется. Изменения не будут сохраняться!

Я совершенно не знаком с Java, Android и eclipse. Когда вы делаете начальный учебник Hello, Android, я иду запускать и получаю следующее: WARNING: Data partition already in use. Changes will not persist! WARNING: Cache partition already in use. Changes will not persist!

Как узнать, выполнила ли Proguard свою работу

Я загрузил proguard, инкапсулированный в zip-файл, и распаковал его на свой жесткий диск. Я не устанавливал его каким-либо образом (потому что я не знал, как это сделать). Затем я добавил proguard.config=proguard.cfg в файл project.properties. Затем я сделал «экспортное приложение для Android», полностью ожидая, что затмение будет жаловаться, что оно не знает, где моя установка для […]

Конструкция обратной совместимости для дизайна материалов: colorAccent требует API уровня 21 при использовании appcompat7

У меня есть проект андроида maven в eclipse, и хотя я сконфигурировал свой проект для использования библиотеки совместимости, он все равно дает следующую ошибку в моих стилях.xml: android:colorAccent requires API level 21 (current min is 15) android:colorPrimary requires API level 21 (current min is 15) android:colorPrimaryDark requires API level 21 (current min is 15) style.xml […]

Использование ProGuard с Android

У меня проблемы с ProGuard и Android. Я много часов искал в Интернете и нашел несколько способов обмануть приложение для Android. На данный момент я стараюсь, чтобы это было проще всего, поэтому: Я создал файл config.cfg в корневом каталоге моего проекта Я добавил proguard.config=config.cfg в свой project.properties Я использовал мастер экспорта Eclipse для экспорта & […]

Не удается создать новый проект Android с помощью Eclipse

Недавно я обновил мою версию sdk с 18 до 20. Я попытался создать новый проект приложений для Android. Я заполнил все необходимые поля, чтобы создать новый проект, но когда я пришел на последнюю страницу создания нового проекта приложений для Android, это выглядит так: «Эти шаблоны зависят от библиотеки поддержки Android, которая либо не установлена, либо […]

Intereting Posts
Вставьте отметку времени в базу данных через ContentValues Какая разница между компиляцией, testCompile и предоставлена ​​в зависимости от градиента Facebook Android Generate Key Hash Android: тестовое Push-уведомление онлайн (Google Cloud Messaging) Как (правильно) перейти от startManagingCursor к CursorLoader? Получение MAC-адреса в Android 6.0 Android сравнить специальные письма Отсутствующие API и auth> Зарегистрированные приложения в облачной консоли Google / Как получить ключ GCM API? ОШИБКА: «keytool» не распознается как внутренняя или внешняя команда, операционная программа или командный файл Приложение умирает с «Сигналом отправки», но никаких исключений или другой информации Кнопка ActionBar Up и шаблон навигации Как открыть программу электронной почты через Intents (но только программу электронной почты) AndroidAnnotations Nothing Generated, Empty Activity Проверка статуса GPS с помощью Служб Google Play Принудительное применение для перезапуска при первом действии